The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Non-Standard Ports at Sensor Level

Prev Next

This URL gets all the non-standard ports configured on the specified Sensor.

Resource URL

GET /sensor/< sensor _id>/nonstandardports

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

Response Parameter

Field Name

Description

Data Type

NonStandardPortResponseList

List of non-standard ports

Array

Details of object in NonStandardPortResponseList:

Field Name

Description

Data Type

protocol

"Protocol/Transport" pair

String

portAssignment

Array of assigned port numbers

Array

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1002/nonstandardports

Response

{
       "NonStandardPortResponseList":
       [
           {
               "protocol": "FTP/TCP",
               "portAssignmentList":
                [
               	21,
               	12,
               	32
                ]
               
           },
           {
               "protocol": "TELNET/UDP",	
                          "portAssignmentList":
                [
               	23,
               	555,
               	15
                ]               
           },
       ]
 }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor